更新 itemAddress
命名空间:microsoft.graph
更新 itemAddress 对象 的属性。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | User.ReadWrite、User.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | User.ReadWrite、User.ReadWrite.All |
| 应用程序 | User.ReadWrite.All |
HTTP 请求
PATCH /me/profile/addresses/{id}
PATCH /users/{id | userPrincipalName}/profile/addresses/{id}
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
| Content-Type | application/json. Required. |
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
| 属性 | 类型 | Description |
|---|---|---|
| allowedAudiences | String | 能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。 |
| detail | physicalAddress | 有关地址本身的详细信息。 |
| displayName | String | 用户分配给此地址的友好名称。 |
| geoCoordinates | geoCoordinates | 地址的地理序号。 |
| inference | inferenceData | 如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet。 |
| source | personDataSource | 如果从另一个服务同步,则值源自何处。 继承自 itemFacet。 |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK itemAddress 对象。
示例
请求
PATCH https://graph.microsoft.com/beta/users/{userId}/profile/addresses/{id}
Content-Type: application/json
{
"allowedAudiences": "me",
"displayName": "Secret Hideout",
}
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "me",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"source": null,
"displayName": "Secret Hideout",
"detail": {
"type": "home",
"postOfficeBox": null,
"street": "221B Baker Street",
"city": "London",
"state": null,
"countryOrRegion": "United Kingdom",
"postalCode": "E14 3TD"
},
"geoCoordinates": null
}
反馈
提交和查看相关反馈